Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# DebugDataControlerBase Class Reference

DebugDataControler. More...

`#include <BroadCastStatusHandler.h>`

Inheritance diagram for DebugDataControlerBase:

[legend]
List of all members.

## Public Types
enum | TYPEOFDEBUGDATA { worldStateMessage, ballStateMessage, statusStateMessage, debugStateMessage, runTime, nrOfDebugTypes }
## Public Member Functions
int | getHeaderSize ()
| DebugDataControlerBase (TYPEOFDEBUGDATA _id)
virtual unsigned int | getSize ()=0
virtual int | write (char *dst, int pos)
## Public Attributes
TYPEOFDEBUGDATA | id
## Private Attributes
unsigned int | size

## Detailed Description

DebugDataControler.

Definition at line 80 of file BroadCastStatusHandler.h.

## Member Enumeration Documentation

enum DebugDataControlerBase::TYPEOFDEBUGDATA

  | Enumeration values:
  worldStateMessage |
  ballStateMessage |
  statusStateMessage |
  debugStateMessage |
  runTime |
  nrOfDebugTypes |
Definition at line 95 of file BroadCastStatusHandler.h.

## Constructor & Destructor Documentation

DebugDataControlerBase::DebugDataControlerBase | ( | TYPEOFDEBUGDATA | _id | ) | `[inline]`

| Definition at line 110 of file BroadCastStatusHandler.h.

## Member Function Documentation

int DebugDataControlerBase::getHeaderSize | ( |  | ) | `[inline]`

| Definition at line 86 of file BroadCastStatusHandler.h. Referenced by BroadCastStatusHandler::sendStatusPackage().

virtual unsigned int DebugDataControlerBase::getSize | ( |  | ) | `[pure virtual]`

| Implemented in DebugDataControlerWorldStateMessage, DebugDataControlerBallStateMessage, DebugDataControlerStatusStateMessage, DebugDataControlerDebugStateMessage, and DebugDataControlerRunTimeMessage. Referenced by BroadCastStatusHandler::sendStatusPackage().

virtual int DebugDataControlerBase::write | ( | char * | dst,
|  | int | pos
| ) | `[inline, virtual]`

| Reimplemented in DebugDataControlerWorldStateMessage, DebugDataControlerBallStateMessage, DebugDataControlerStatusStateMessage, DebugDataControlerDebugStateMessage, and DebugDataControlerRunTimeMessage. Definition at line 116 of file BroadCastStatusHandler.h. Referenced by BroadCastStatusHandler::sendStatusPackage(), DebugDataControlerRunTimeMessage::write(), DebugDataControlerDebugStateMessage::write(), DebugDataControlerStatusStateMessage::write(), DebugDataControlerBallStateMessage::write(), and DebugDataControlerWorldStateMessage::write().

## Member Data Documentation

unsigned int DebugDataControlerBase::size`[private]`

| Definition at line 82 of file BroadCastStatusHandler.h.

TYPEOFDEBUGDATA DebugDataControlerBase::id

| Definition at line 108 of file BroadCastStatusHandler.h.

The documentation for this class was generated from the following file:

- Platform/Aperios1.3.2/BroadCastStatusHandler.h